package com.pcloud.book.rightsSetting.mapper;

import com.pcloud.book.rightsSetting.dto.ReadTypeCountDTO;
import com.pcloud.book.rightsSetting.entity.RightsReadType;
import java.util.List;
import java.util.Map;
import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Mapper;


@Mapper
public interface RightsReadTypeMapper {
    int deleteByPrimaryKey(Long id);

    int insert(RightsReadType record);

    int insertSelective(RightsReadType record);

    RightsReadType selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(RightsReadType record);

    int updateByPrimaryKey(RightsReadType record);

    void deleteByRightsSettingId(Long rightsSettingId);

    void batchInsert(List<RightsReadType> rightsReadTypes);

    List<RightsReadType> getByRightsSettingId(Long rightsSettingId);

    @MapKey("readType")
    Map<Integer, ReadTypeCountDTO> getCounMapt4Title(Long rightsSettingId);
}